#
# spec file for package vdr-plugin-streamdev
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define pluginname streamdev
%define pluginversion 0.6.1
Name:           vdr-plugin-%{pluginname}
Version:        %{pluginversion}
Release:        lp150.33.2
Summary:        The streamdev plugin adds streaming capabilities to your VDR
License:        GPL-2.0
Group:          Hardware/TV
Url:            http://streamdev.vdr-developer.org/
Source0:        vdr-%{pluginname}-%{pluginversion}.tar.bz2
Patch0:         makefile-realpath.patch
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  vdr-devel
# FIXME: use proper Requires(pre/post/preun/...)
PreReq:         %{vdr_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The streamdev plugin adds streaming capabilities to your VDR. It comes in two flavours: VDR-to-VDR streaming using the proprietary VTP protocol and HTTP based streaming which is understood by a couple of software clients.

%package client
Summary:        The streamdev plugin adds streaming capabilities to your VDR
Group:          Hardware/TV
PreReq:         %{vdr_prereq}

%description client
The streamdev plugin adds streaming capabilities to your VDR. It comes in two flavours: VDR-to-VDR streaming using the proprietary VTP protocol and HTTP based streaming which is understood by a couple of software clients. This package contains the client-plugin.

%package server
Summary:        The streamdev plugin adds streaming capabilities to your VDR
Group:          Hardware/TV
PreReq:         %{vdr_prereq}

%description server
The streamdev plugin adds streaming capabilities to your VDR. It comes in two flavours: VDR-to-VDR streaming using the proprietary VTP protocol and HTTP based streaming which is understood by a couple of software clients. This package contains the server-plugin.

%prep
%setup -q -n %{pluginname}-%{pluginversion}
%patch0 -p 1

%build
# use msgmerge wrapper
export PATH=%{_datadir}/vdr:$PATH
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
%{vdr_find_locale_name -n vdr-streamdev-client}
%{vdr_find_locale_name -n vdr-streamdev-server}
install -d %{buildroot}%{vdr_sysconfdir}/plugins/streamdev-server
install -m 644 streamdev-server/streamdevhosts.conf  %{buildroot}%{_sysconfdir}/vdr/plugins/streamdev-server/
# 644 to not execute it in the default installation
install -m 644 streamdev-server/externremux.sh       %{buildroot}%{_sysconfdir}/vdr/plugins/streamdev-server/
echo "The externremux.sh script is not executable in the default installation.
Use 'chmod 755 /etc/vdr/plugins/streamdev-server/externremux.sh' if you want
to use it." > %{buildroot}%{_sysconfdir}/vdr/plugins/streamdev-server/externremux.README

%files client -f vdr-streamdev-client.files
%defattr(-,root,root)
%{_libdir}/vdr/libvdr-streamdev-client*
%{vdr_dirs}
%doc COPYING HISTORY README CONTRIBUTORS PROTOCOL

%files server -f vdr-streamdev-server.files
%defattr(-,root,root)
%{_libdir}/vdr/libvdr-streamdev-server*
%{vdr_dirs}
%attr(755,vdr,root) %dir %{vdr_sysconfdir}/plugins
%attr(755,vdr,root) %dir %{vdr_sysconfdir}/plugins/streamdev-server
%config %{_sysconfdir}/vdr/plugins/streamdev-server/streamdevhosts.conf
%config %{_sysconfdir}/vdr/plugins/streamdev-server/externremux.sh
%{_sysconfdir}/vdr/plugins/streamdev-server/externremux.README
%doc COPYING HISTORY README CONTRIBUTORS PROTOCOL

%changelog
* Tue Dec 30 2014 seife+obs@b1-systems.com
- install distributed externremux.sh file
* Tue Apr 22 2014 seife+obs@b1-systems.com
- patches which fix stuff:
  makefile-realpath.patch
* Sun Mar 30 2014 seife+obs@b1-systems.com
- avoid build date in locale files
* Sat Mar 29 2014 seife+obs@b1-systems.com
- run spec-cleaner
- use PreReq vdr_prereq macro instead of vdrapi requires
- remove vdrapi from package version
- fix permissions of /etc/vdr/plugins
* Sat Mar 29 2014 seife+obs@b1-systems.com
- use plain make instead of baroque vdr_plugin_* macros
* Wed Dec  4 2013 wittemar@googlemail.com
- update to 0.6.1
* Mon Mar 11 2013 wittemar@googlemail.com
- update to 0.6.0
- added patch for VDR 1.7.38
* Sun May 13 2012 wittemar@googlemail.com
- update to 0.5.2
* Sun Mar 11 2012 wittemar@googlemail.com
- update to current git
* Sat Dec 10 2011 wittemar@googlemail.com
- update to current git
* Sun Mar 13 2011 wittemar@googlemail.com
- update to 0.5.1
* Mon Jul 19 2010 wittemar@googlemail.com
- update to 0.5.0
* Fri Jun 18 2010 wittemar@googlemail.com
- update to 0.5.0-rc1
- split in client- and server-package
* Sat Oct 24 2009 wittemar@googlemail.com
- update to cvs20091024
* Sat May 23 2009 wittemar@googlemail.com
- update to cvs20090523
